Subject: bug#34616: neovim segfaults

From: Julien Lepiller <[email-masked]>
Date: Fri, 22 Feb 2019 17:35:24 +0100

Le 2019-02-22 16:57, Ricardo Wurmus a écrit :
> Julien Lepiller <[email-masked]> writes:
> 
>> This is where I got neovim from:
>> 
>> téléchargement depuis
>> https://berlin.guixsd.org/nar/gzip/d8ibld5vpsgq7is3k3sf5gqj0i7sgmbh-neovim-0.3.4...
> 
> I built neovim locally.  The binary contents differ from the files on
> berlin.  So there are two problems:
> 
> - neovim does not build reproducibly
> - one of the builds segfaults
> 
> Have you tried running it in gdb to get a backtrace?
> 
> --
> Ricardo

I think that's what you mean:

Thread 2 "nvim" received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7ffff6206700 (LWP 28664)]
0x00007ffff79682ad in __strcmp_avx2 () from 
/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/lib/libc.so.6
(gdb) bt
#0  0x00007ffff79682ad in __strcmp_avx2 () from 
/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/lib/libc.so.6
#1  0x0000000000505b31 in strequal ()
#2  0x000000000045681e in tui_tk_ti_getstr ()
#3  0x00007ffff7e649a5 in try_load_terminfo_key () from 
/gnu/store/pl7nh8chyp0av6lb7qck5n9mvvaz24z5-libtermkey-0.21.1/lib/libtermkey.so.1
#4  0x00007ffff7e64b59 in load_terminfo () from 
/gnu/store/pl7nh8chyp0av6lb7qck5n9mvvaz24z5-libtermkey-0.21.1/lib/libtermkey.so.1
#5  0x00007ffff7e64eda in start_driver () from 
/gnu/store/pl7nh8chyp0av6lb7qck5n9mvvaz24z5-libtermkey-0.21.1/lib/libtermkey.so.1
#6  0x00007ffff7e6007e in termkey_start () from 
/gnu/store/pl7nh8chyp0av6lb7qck5n9mvvaz24z5-libtermkey-0.21.1/lib/libtermkey.so.1
#7  0x0000000000459368 in term_input_init ()
#8  0x000000000045951d in tui_main ()
#9  0x0000000000449c84 in ui_thread_run ()
#10 0x00007ffff7e96019 in start_thread () from 
/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/lib/libpthread.so.0
#11 0x00007ffff790c92f in clone () from 
/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/lib/libc.so.6